[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| VariableSelectionResult Class Reference |

`#include <vigra/random_forest/rf_algorithm.hxx>`

## Public Member Functions

template<class FeatureT , class ResponseT , class ErrorRateCallBack >
bool | init (FeatureT const &all_features, ResponseT const &response, ErrorRateCallBack errorcallback)

## Public Attributes

ErrorList_t | errors
double | no_features
FeatureList_t | selected

## Detailed Description

Structure to hold Variable Selection results

## Member Function Documentation

bool init | ( | FeatureT const & | all_features,
|  | ResponseT const & | response,
|  | ErrorRateCallBack | errorcallback
| ) |  |

initialization routine. Will be called only once in the lifetime of a VariableSelectionResult. Subsequent calls will not reinitialize member variables.

This is intended, to allow continuing variable selection at a point stopped in an earlier iteration.

returns true if initialization was successful and false if the object was already initialized before.

## Member Data Documentation

FeatureList_t selected

list of features.

ErrorList_t errors

vector of size (number of features)

the i-th entry encodes the error rate obtained while using features [0 - i](including i)

if the i-th entry is -1 then no error rate was obtained this may happen if more than one feature is added to the selected list in one step of the algorithm.

during initialisation error[m+n-1] is always filled

double no_features

errorrate using no features

The documentation for this class was generated from the following file:

- vigra/random_forest/rf_algorithm.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.10.0